using System.ComponentModel.DataAnnotations;

namespace Siger.Middlelayer.AccRepository.Request
{
    public class RequestPrinterSetting
    {
        [Required(ErrorMessage = "LineIsEmpty")]
        public int Line { get; set; }
        [Required(ErrorMessage = "StationIsEmpty")]
        public int Station { get; set; }
        [Required(ErrorMessage = "EqNameIsEmpty")]
        public string PrintType { get; set; }
        public string Port { get; set; }
        public string UID { get; set; }
        public string PrinterName { get; set; }
    }
    public class RequestModifyPrinterSetting: RequestPrinterSetting
    {
        [Required(ErrorMessage = "IdIsEmpty")]
        public int Id { get; set; }
    }
}
